> ## Documentation Index > Fetch the complete documentation index at: https://www.canva.dev/docs/apps/llms.txt > Use this file to discover all available pages before exploring further. # Get design analytics views over time Get the view count for a design over a time period. This API is currently provided as a preview. Be aware of the following: * There might be unannounced breaking changes. * Any breaking changes to preview APIs won't produce a new [API version](https://www.canva.dev/docs/apps/rest-apis/versions/). * Public apps that use preview APIs will not pass the review process, and can't be made available to all Canva users. To use this API, your app must act on behalf of a user who is a member of a [Canva Enterprise](https://www.canva.com/enterprise/) organization. Lists the view counts over time for a design. Each response item represents one time bucket. ## HTTP method and URL path GET https\://api.canva.com/rest/v1/designs/\{designId}/analytics/views-over-time This operation is rate limited to 100 requests per minute for each user of your app. ## Authentication and authorization This endpoint requires a valid access token that acts on behalf of a user. For more information, see [Generate an access token](/docs/apps/rest-apis/reference/authentication/generate-access-token). ### Scopes The access token must have all the following [scopes](/docs/apps/rest-apis/scopes) (permissions): * `design:content:read` ### Capabilities The user must have at least one of the following [capabilities](/docs/apps/rest-apis/capabilities/): * `analytics` ## Header parameters Provides credentials to authenticate the request, in the form of a `Bearer` token. For example: `Authorization: Bearer {token}` ## Path parameters The design ID. ## Query parameters The inclusive start of the requested time range, as a Unix timestamp (in seconds since the Unix Epoch). The inclusive end of the requested time range, as a Unix timestamp (in seconds since the Unix Epoch). The timezone to use for bucketing, as a UTC offset in the form `+HH:MM` (for example, `+10:00`). **Default value:** `+00:00` The maximum number of time buckets to return per page. **Minimum:** `1` **Maximum:** `100` **Default value:** `50` If the success response contains a continuation token, there are more time buckets you can list. You can use this token as a query parameter and retrieve more time buckets from the list, for example `/v1/designs/{designId}/analytics/views-over-time?continuation={continuation}`. To retrieve all time buckets, you might need to make multiple requests. ## Example request Examples for using the `/v1/designs/{designId}/analytics/views-over-time` endpoint: ```sh curl --request GET 'https://api.canva.com/rest/v1/designs/{designId}/analytics/views-over-time' \ --header 'Authorization: Bearer {token}' ``` ```js const fetch = require("node-fetch"); fetch("https://api.canva.com/rest/v1/designs/{designId}/analytics/views-over-time", { method: "GET", headers: { "Authorization": "Bearer {token}", }, }) .then(async (response) => { const data = await response.json(); console.log(data); }) .catch(err => console.error(err)); ``` ```java import java.io.IOException; import java.net.URI; import java.net.http.*; public class ApiExample { public static void main(String[] args) throws IOException, InterruptedException { HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.canva.com/rest/v1/designs/{designId}/analytics/views-over-time")) .header("Authorization", "Bearer {token}") .method("GET", HttpRequest.BodyPublishers.noBody()) .build(); HttpResponse response = HttpClient.newHttpClient().send( request, HttpResponse.BodyHandlers.ofString() ); System.out.println(response.body()); } } ``` ```py import requests headers = { "Authorization": "Bearer {token}" } response = requests.get("https://api.canva.com/rest/v1/designs/{designId}/analytics/views-over-time", headers=headers ) print(response.json()) ``` ```csharp using System.Net.Http; var client = new HttpClient(); var request = new HttpRequestMessage { Method = HttpMethod.Get, RequestUri = new Uri("https://api.canva.com/rest/v1/designs/{designId}/analytics/views-over-time"), Headers = { { "Authorization", "Bearer {token}" }, }, }; using (var response = await client.SendAsync(request)) { response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body); }; ``` ```go package main import ( "fmt" "io" "net/http" ) func main() { url := "https://api.canva.com/rest/v1/designs/{designId}/analytics/views-over-time" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer {token}") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) } ``` ```php $curl = curl_init(); curl_setopt_array($curl, array( CURLOPT_URL => "https://api.canva.com/rest/v1/designs/{designId}/analytics/views-over-time", CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => array( 'Authorization: Bearer {token}', ), )); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if (empty($err)) { echo $response; } else { echo "Error: " . $err; } ``` ```ruby require 'net/http' require 'uri' url = URI('https://api.canva.com/rest/v1/designs/{designId}/analytics/views-over-time') http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request['Authorization'] = 'Bearer {token}' response = http.request(request) puts response.read_body ``` ## Success response If successful, the endpoint returns a `200` response with a JSON body with the following parameters: The list of time buckets. Properties of items} defaultExpanded={true}> The number of views in this bucket. When this time bucket starts, as a Unix timestamp (in seconds since the Unix Epoch). If the success response contains a continuation token, there are more time buckets you can list. You can use this token as a query parameter and retrieve more time buckets from the list, for example `/v1/designs/{designId}/analytics/views-over-time?continuation={continuation}`. To retrieve all time buckets, you might need to make multiple requests. ## Example response ```json { "items": [ { "count": 15, "bucket_start_at": 1745452800 } ], "continuation": "RkFGMgXlsVTDbMd:MR3L0QjiaUzycIAjx0yMyuNiV0OildoiOwL0x32G4NjNu4FwtAQNxowUQNMMYN" } ``` ## Error responses ### 400 Bad Request A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error responses ##### Expected long for query parameter ```json { "code": "bad_query_params", "message": "Expected long for query parameter `{key}` but found {value}" } ``` ##### The requested time range is invalid. ```json { "code": "invalid_field", "message": "start_time must be before end_time" } ``` ##### The timezone value is invalid. ```json { "code": "invalid_field", "message": "timezone is not a valid UTC offset" } ``` ##### The continuation token is invalid or expired. ```json { "code": "invalid_field", "message": "Invalid continuation token" } ``` ### 401 Unauthorized A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error response ##### Access token could not be decoded or signature could not be verified. ```json { "code": "invalid_access_token", "message": "Access token is invalid" } ``` ### 403 Forbidden A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error response ##### The caller is not allowed to access design analytics. ```json { "code": "permission_denied", "message": "Not allowed to access analytics for this design" } ``` ### 404 Not Found A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error response ##### The design was not found, or analytics are unavailable. ```json { "code": "design_not_found", "message": "Design not found or analytics are not available for this design" } ``` ### 429 Too Many Requests A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error response ##### Rate limit exceeded ```json { "code": "too_many_requests", "message": "Too many requests to {operation}" } ```